<?php
/**
 * Created by PhpStorm.
 * User: pejot
 * Date: 2015-03-08
 * Time: 22:39
 */
global $ankieta;
global $data;
global $page;
$ankieta->writeGap();

$ankieta->writeGap();
//$ankieta->writeHeader("REKRUT");
//$ankieta->writeGap();

//[^uncheckById(["P2","P3","P4","P5"])^]
//[^showOrClean(input,["P2","P3","P4","P5","P6"])^]
//[^clean(["P2","P3","P4","P5","P6"])^]
//[^showOrClean($("input[name=P1]"),["P2"])^]

$wiekPr=$ankieta->getValue("WIEKPR");
$wiekLabs=$ankieta->getLabels("WIEKPR");
$wiekLab=explode("-",$wiekLabs[$wiekPr]);
$wiekMin=$wiekLab[0];
$wiekMax=$wiekLab[1];

$answers=array();
$answers[1]='Kobieta';
$answers[2]='Mężczyzna';
$ankieta->writeRadio('SEX','Płeć:',$answers,true,@clean($data['SEX']));




$ankieta->writeInputNumber("S3","Ile ma Pan[i|] lat?  (na podstawie próby dopuszczalny jest zakres między $wiekMin a $wiekMax).",@clean($data['S3']), true,'recodeAge()',"NUMERIC","2.0",false,2);

$answers=array();
$answers[0]='Poniżej 18 lat';
$answers[1]='18 - 24 lata';
$answers[2]='25 - 29 lat';
$answers[3]='30 - 39 lat';
$answers[4]='40 – 60 lat';
$answers[6]='61 + lat';
$ankieta->writeRadio('WIEK','WIEK',$answers,true,@clean($data['WIEK']));


$answers=array();
$answers[1]='1 osoba';
$answers[2]='2 osoby';
$answers[3]='3 osoby';
$answers[4]='4 osoby';
$answers[5]='5 osób';
$answers[6]='6 osób';
$answers[7]='7 osób lub więcej';
$ankieta->writeRadio('HOLD','Ile osób liczy Pani gospodarstwo domowe?',$answers,true,@clean($data['HOLD']));



?>

<script type="text/javascript">

    $(document).ready(function() {
       disableButtons("[name=" + "WIEK" + "]");
    });

    function preSubmit() {
        var ret=checkMinMax('S3');
        if (ret) {enableButtons("[name=" + "WIEK" + "]");}

    }

    function checkMinMax(id) {
        var el = $("input[id='" + id +"']");
        var value=parseFloat(el.val(),10);
        if (value <<?php print $wiekMin;?> || value ><?php print $wiekMax;?>) {
            console.log('bad value ',value);
            el.val('');

            return false;
        }
        return true;
    }

    function recodeAge() {
        console.log('recodeAge');
        var el = $("input[id='" + "S3" +"']");
        var value=parseFloat(el.val(),10);
        if (value<18) {selectRadio('WIEK',0);}
        if (value>=18 && value <=24) {selectRadio('WIEK',1);}
        if (value>=25 && value <=29) {selectRadio('WIEK',2);}
        if (value>=30 && value <=39) {selectRadio('WIEK',3);}
        if (value>=40 && value <=60) {selectRadio('WIEK',4);}
        if (value>=61) {selectRadio('WIEK',6);}
    }


    function doLogicS11(id) {
        console.log('doLogocS11');
        $("input[name='" + 'S6[]' +"']").each(function() {
            var idx=parseFloat($(this).val(),10);
            if ($(this).prop('checked')) {
                console.log('S6_' + idx + ' checked');
                hideCheckboxElement('S11_' + idx);
            } else {
                unHideCheckboxElement('S11_' + idx);
            }
        });

    }

</script>